Skip to main content
POST
/
api
/
v2
/
quotations
Create Quotation
curl --request POST \
  --url https://sandbox.killb.app/api/v2/quotations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fromCurrency": "COP",
  "toCurrency": "USDC",
  "amount": 8000,
  "amountIsToCurrency": false,
  "cashInMethod": "PSE",
  "cashOutMethod": "POLYGON",
  "isFastPay": false
}
'
{
  "id": "e8d74b2f-86df-43b0-a9d9-72055a6b0432",
  "fromCurrency": "COP",
  "toCurrency": "USDC",
  "fromAmount": 8000,
  "toAmount": 2.5,
  "rate": 0.0003125,
  "spotPrice": 0.00031,
  "expiresAt": 1745368688,
  "cashInMethod": "PSE",
  "cashOutMethod": "POLYGON",
  "isFastPay": false
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
fromCurrency
enum<string>
required
Available options:
MXN,
COP,
USD,
USDC,
USDT
Example:

"COP"

toCurrency
enum<string>
required
Available options:
MXN,
COP,
USDC,
USDT,
HKD,
EUR,
USD,
PEN,
BRL,
ARS,
CLP,
CRC,
GTQ,
HNL,
NIO,
PAB,
DOP,
BOB,
GYD,
PYG,
UYU
Example:

"USDC"

amount
number
required
Example:

8000

amountIsToCurrency
boolean
required
Example:

false

cashInMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
PRE_FUND,
PRE_FUND_POLYGON,
PRE_FUND_ERC20,
PRE_FUND_SOLANA,
PRE_FUND_TRON,
PRE_FUND_ARBITRUM,
TRANSFIYA,
SOLANA,
BSC,
TRON
Example:

"PSE"

cashOutMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
TRANSFIYA,
SOLANA,
BSC,
TRON,
WIRE,
ACH,
ACH_BO,
SPI_DO,
ACH_PA,
ACH_GT,
ACH_HN,
ACH_NI,
ACH_SV,
CCI,
COELSA,
PIX,
SINPE,
SPI,
SPI_PY,
SWIFT,
BREB
Example:

"POLYGON"

isFastPay
boolean
default:false
required

Flag to indicate if this is a fast pay quotation

Example:

false

Response

id
string
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

fromCurrency
enum<string>
required
Available options:
MXN,
COP,
USD,
USDC,
USDT
Example:

"COP"

toCurrency
enum<string>
required
Available options:
MXN,
COP,
USDC,
USDT,
HKD,
EUR,
USD,
PEN,
BRL,
ARS,
CLP,
CRC,
GTQ,
HNL,
NIO,
PAB,
DOP,
BOB,
GYD,
PYG,
UYU
Example:

"USDC"

fromAmount
number
required
Example:

8000

toAmount
number
required
Example:

2.5

rate
number
required
Example:

0.0003125

spotPrice
number
required
Example:

0.00031

expiresAt
number
required
Example:

1745368688

cashInMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
PRE_FUND,
PRE_FUND_POLYGON,
PRE_FUND_ERC20,
PRE_FUND_SOLANA,
PRE_FUND_TRON,
PRE_FUND_ARBITRUM,
TRANSFIYA,
SOLANA,
BSC,
TRON
Example:

"PSE"

cashOutMethod
enum<string>
required
Available options:
SPEI,
POLYGON,
ERC20,
PSE,
TRANSFIYA,
SOLANA,
BSC,
TRON,
WIRE,
ACH,
ACH_BO,
SPI_DO,
ACH_PA,
ACH_GT,
ACH_HN,
ACH_NI,
ACH_SV,
CCI,
COELSA,
PIX,
SINPE,
SPI,
SPI_PY,
SWIFT,
BREB
Example:

"POLYGON"

isFastPay
boolean
required

Flag to indicate if this is a fast pay quotation

Example:

false